org.apache.felix.bundlerepository

## Class InterruptedResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.felix.bundlerepository.InterruptedResolutionException

All Implemented Interfaces:
  java.io.Serializable

    public class InterruptedResolutionException
    extends java.lang.RuntimeException

Exception thrown by the resolver if the resolution has been interrupted.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InterruptedResolutionException()`
`InterruptedResolutionException(java.lang.String message)`
`InterruptedResolutionException(java.lang.String message, java.lang.Throwable cause)`
`InterruptedResolutionException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InterruptedResolutionException

    public InterruptedResolutionException()

#### InterruptedResolutionException

    public InterruptedResolutionException(java.lang.String message)

#### InterruptedResolutionException

    public InterruptedResolutionException(java.lang.String message,
                                  java.lang.Throwable cause)

#### InterruptedResolutionException

    public InterruptedResolutionException(java.lang.Throwable cause)